# Partially update the job description

Updates part of the job description entity. It confirms that both the job and description exist and that the user has permission to modify them. The properties and relations included in the request will be updated. Properties or relations not included in the request will be set to null.

Endpoint: PATCH /api/jobs/{id}/description
Version: v1.0
Security: OAuth2

## Security:

  - `OAuth2` (unknown)
    oauth2

## Path parameters:

  - `id` (integer, required)
    The ID for the job, for example `39596`.

## Request body:

  - `application/json` (unknown)
    The request containing the updated job description information.

## Request fields (application/json):

  - `id` (integer)
    The ID for the entity, for example `39752`.

  - `identifier` (string)
    The identifier for the entity.

  - `cultures` (array)
    The cultures associated with the entity, for example `en-US`.

  - `properties` (object)
    The properties of the entity.

  - `relations` (object)
    The relations of the entity.

  - `created_by` (object)
    Represents a link to a resource.

  - `created_by.href` (string)
    Gets or sets the URI that points to the resource this link refers to.

  - `created_by.filename_properties` (array)
    Gets or sets the URI that points to the resource this link refers to.

  - `created_by.title` (string)
    Gets or sets the title that describes this link.

  - `created_by.templated` (boolean)
    Gets or sets a value indicating whether the contained URI is a template.

  - `created_on` (string)
    The date and time when the entity was created.

  - `modified_on` (string)
    The date and time when the entity was last modified.

  - `locked_on` (string)
    The date and time when the entity was locked.

  - `requested_permissions` (object)
    The requested permissions with identification if a certain user has permission.

  - `is_root_taxonomy_item` (boolean)
    Gets or sets a value indicating whether the entity is a root taxonomy item.

  - `is_path_root` (boolean)
    Gets or sets a value indicating whether the entity is a path root.

  - `inherits_security` (boolean)
    Gets or sets a value indicating whether the entity inherits security.

  - `is_system_owned` (boolean)
    Gets or sets a value indicating whether the entity is system owned.

  - `version` (integer)
    The version of the entity.

  - `modules` (array)
    The modules associated with the entity.

## Response 204:

  - `204` (unknown)
    Entity successfully updated

## Response 400:

  - `400` (unknown)
    Request not valid or error during operation

## Response 401:

  - `401` (unknown)
    Unauthorized request

## Response 404:

  - `404` (unknown)
    Entity not found or user not authorized

